Package be.fgov.ehealth.seals.core.v1

# Class ErrorType

java.lang.Object
be.fgov.ehealth.seals.core.v1.ErrorType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:09:38+02:00", comments="JAXB RI v4.0.5") public class ErrorType extends Object implements Serializable
ErrorBlock specifying why encoding or decoding a datablock failed.

Java class for ErrorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{http://www.w3.org/2001/XMLSchema}ID"/>
             <element name="ErrorCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ErrorValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorCode()`
  Gets the value of the errorCode property.
  `String`
  `getErrorValue()`
  Gets the value of the errorValue property.
  `String`
  `getId()`
  Gets the value of the id property.
  `void`
  `setErrorCode(String value)`
  Sets the value of the errorCode property.
  `void`
  `setErrorValue(String value)`
  Sets the value of the errorValue property.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorType

    public ErrorType()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getErrorCode

    public String getErrorCode()
    Gets the value of the errorCode property.
    Returns:
      possible object is `String`

  - ### setErrorCode

    public void setErrorCode(String value)
    Sets the value of the errorCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getErrorValue

    public String getErrorValue()
    Gets the value of the errorValue property.
    Returns:
      possible object is `String`

  - ### setErrorValue

    public void setErrorValue(String value)
    Sets the value of the errorValue property.
    Parameters:
      `value` - allowed object is `String`